From: Victor Seva <vseva@debian.org>
Date: Sun, 16 Feb 2025 18:11:34 +0100
Subject: fix signedness mismatch

Description: Force unsignedness in third operand of ?: expression
 On 32-bit architectures the third operand is not rendered unsigned
 through truncation to uint32_t, so effect unsignedness otherhow.
Author: Dennis Filder <d.filder@web.de>
---
 src/otherfilters/mspcapfileplayer.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/otherfilters/mspcapfileplayer.c b/src/otherfilters/mspcapfileplayer.c
index b5bd49d..24fe1c2 100644
--- a/src/otherfilters/mspcapfileplayer.c
+++ b/src/otherfilters/mspcapfileplayer.c
@@ -239,8 +239,8 @@ static void player_process(MSFilter *f) {
 						}
 						diff_ms = (d->pcap_timeref == MSPCAPFilePlayerTimeRefRTP)
 						              ? ((ts - d->pcap_initial_ts) * 1000) / d->rate
-						              : 1000 * (d->pcap_hdr->ts.tv_sec - d->pcap_initial_timeval.tv_sec) +
-						                    (d->pcap_hdr->ts.tv_usec - d->pcap_initial_timeval.tv_usec) / 1000;
+						              : 1000U * (d->pcap_hdr->ts.tv_sec - d->pcap_initial_timeval.tv_sec) +
+						                    (d->pcap_hdr->ts.tv_usec - d->pcap_initial_timeval.tv_usec) / 1000U;
 
 						if ((f->ticker->time - d->pcap_initial_time) >= diff_ms) {
 							if (d->pcap_layer == MSPCAPFilePlayerLayerRTP) {
